BloomFilterUtf8 (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.util

## Class BloomFilterUtf8

- java.lang.Object
- - org.apache.orc.util.BloomFilter
  - - org.apache.orc.util.BloomFilterUtf8

-     public class BloomFilterUtf8
      extends BloomFilter

  This class represents the fix from ORC-101 where we fixed the bloom filter from using the JVM's default character set to always using UTF-8.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.orc.util.BloomFilter

      `BloomFilter.BitSet`

  - ### Field Summary

    - ### Fields inherited from class org.apache.orc.util.BloomFilter

      `DEFAULT_FPP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BloomFilterUtf8(long[] bits, int numFuncs)`
    `BloomFilterUtf8(long expectedEntries, double fpp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addString(String val)`
    `boolean` | `testString(String val)`

    - ### Methods inherited from class org.apache.orc.util.BloomFilter

      `add, addBytes, addDouble, addLong, equals, getBitSet, getBitSize, getNumHashFunctions, hashCode, merge, reset, sizeInBytes, test, testBytes, testDouble, testLong, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BloomFilterUtf8

          public BloomFilterUtf8(long expectedEntries,
                                 double fpp)

    - #### BloomFilterUtf8

          public BloomFilterUtf8(long[] bits,
                                 int numFuncs)

  - ### Method Detail

    - #### addString

          public void addString(String val)

      Overrides:
        `addString` in class `BloomFilter`

    - #### testString

          public boolean testString(String val)

      Overrides:
        `testString` in class `BloomFilter`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.